Raxml-ng error

35 views
Skip to first unread message

Marta Álvarez

unread,
Jul 2, 2021, 6:20:22 AMJul 2
to raxml
Hi,

I am running a concatenated alignment with recoded data using the Dayhoff6 code. I am using the MULTI6_GTR model in the partition on file and the commands I am using are the following:
raxml-ng --msa HG_50_recoded_Dayhoff6.fas --model HG_50_partitions_raxml6.txt --brlen unlinked --threads 15 --prefix DF6 --seed 1234 --bs-trees 100 --blopt nr_safe

The raxml-ng version is the last available in github, because I installed it some days ago only. 

The run is terminating with an error and I don't know what the problem is. 

raxml-ng: /home/alex/hits/raxml-ng/libs/pll-modules/src/optimize/pll_optimize.c:2003: pllmod_opt_optimize_branch_lengths_local_multi: Assertion `new_loglikelihood - loglikelihood > new_loglikelihood * BETTER_LL_TRESHOLD' failed.
raxml-ng: /home/alex/hits/raxml-ng/libs/pll-modules/src/optimize/pll_optimize.c:2003: pllmod_opt_optimize_branch_lengths_local_multi: Assertion `new_loglikelihood - loglikelihood > new_loglikelihood * BETTER_LL_TRESHOLD' failed.
Aborted (core dumped)

I could use some help here. Thank you in advance.

Marta

Alexey Kozlov

unread,
Jul 2, 2021, 6:23:17 AMJul 2
to ra...@googlegroups.com
Hi Marta,

please send me your input and output (DF6.raxml.*) files, and I will have a look.

Best,
Alexey
> --
> You received this message because you are subscribed to the Google Groups "raxml" group.
> To unsubscribe from this group and stop receiving emails from it, send an email to
> raxml+un...@googlegroups.com <mailto:raxml+un...@googlegroups.com>.
> To view this discussion on the web visit
> https://groups.google.com/d/msgid/raxml/e2dccf21-5638-4330-8b2b-0474c88c75b6n%40googlegroups.com
> <https://groups.google.com/d/msgid/raxml/e2dccf21-5638-4330-8b2b-0474c88c75b6n%40googlegroups.com?utm_medium=email&utm_source=footer>.

Marta Álvarez

unread,
Jul 6, 2021, 7:24:30 AMJul 6
to raxml
Hi,

thank you for your help Alexey. Thanks to him I realised that although I downloaded the last version from github and installed it, I didn't remove the older version I had installed, so I was running the older without noticing. Now I removed all the old files and I am running the newest version without problem. The analysis is still ongoing, but no problem so far.

Thanks

Marta

El dia divendres, 2 de juliol de 2021 a les 11:23:17 UTC+1, alexei...@gmail.com va escriure:

Alexey Kozlov

unread,
Jul 6, 2021, 7:41:33 AMJul 6
to ra...@googlegroups.com
Reply all
Reply to author
Forward
0 new messages